import m from "mithril";
import { Vnode } from './Widget';
import { WidgetAttrs } from './Widget';
import { Widget } from './Widget';
declare enum Expansion {
    closed = 0,
    opening = 1,
    open = 2,
    closing = 3
}
export interface CollapsibleAttrs extends WidgetAttrs {
    isExpanded?: boolean;
    preArrow?: boolean;
    postArrow?: boolean;
    transition?: number;
}
export declare class Collapsible extends Widget {
    expanded: Expansion;
    maxHeight: number;
    toggle: () => void;
    oninit(node: Vnode<CollapsibleAttrs, this>): void;
    view(node: Vnode<CollapsibleAttrs, this>): m.Vnode<any, any>;
}
export {};
