import m from "mithril";
import { WidgetAttrs, Widget, ViewResult } from './Widget';
import { Vnode } from './Widget';
export interface EditLabelAttrs extends WidgetAttrs {
    popup?: m.Children;
    placeholder?: string;
    update: (r: string) => void;
}
export declare class EditLabel extends Widget {
    editable: boolean;
    blur: (e: Event) => void;
    makeEditable: () => void;
    blurIfReturn: (key: UIEvent) => void;
    onupdate(node: m.VnodeDOM<EditLabelAttrs, this>): any;
    oninit(node: Vnode<EditLabelAttrs, this>): void;
    view(node: Vnode<EditLabelAttrs, this>): ViewResult;
}
export declare class EditDate extends EditLabel {
    update: (r: string) => void;
    oninit(node: Vnode<EditLabelAttrs, this>): void;
    view(node: Vnode<EditLabelAttrs, this>): string | number | boolean | void | m.Vnode<any, any> | m.ChildArray;
}
