import m from "mithril";
import { WidgetAttrs, Widget } from "./Widget";
import { Vnode } from "./Widget";
interface IsTest {
    (val: Row): boolean;
}
interface RowRender {
    (row: Row, rowNum: number): m.Children;
}
declare type Row = m.Children;
export interface EditListAttrs extends WidgetAttrs {
    sort?: (a: any, b: any) => number;
    isEmpty?: (row: Row) => boolean;
    collapsible?: boolean;
    rowRender?: RowRender;
    isExpanded?: boolean;
    defaultRow?: Row;
    expand?: (rows: any[], def: any, isEmpty: IsTest) => void;
    columnTemplate?: string;
    header?: string;
}
export declare class EditList extends Widget {
    view(node: Vnode<EditListAttrs, this>): m.Vnode<any, any>;
}
export {};
