import m from "mithril";
import { RadioButtons } from './Optionbuttons';
import { RadioButtonsAttrs } from './Optionbuttons';
import { Vnode, ViewResult } from './Widget';
import { Widget } from './Widget';
import { WidgetAttrs } from './Widget';
export interface MenuAttrs extends RadioButtonsAttrs {
    onclick: (buttonIndex: number, newState: number, states: number[]) => void;
    initial?: number;
}
export declare class Menu extends RadioButtons {
    view(node: Vnode<MenuAttrs, this>): ViewResult;
}
export interface MenuItem {
    menu: m.Child;
    content: m.Child;
}
export interface MenuPanelAttrs extends WidgetAttrs {
    menu?: m.Child[];
    initial: number;
}
export declare class MenuPanel extends Widget {
    selected: number;
    change: (index: number) => void;
    oninit(node: Vnode<MenuPanelAttrs, this>): void;
    view(node: Vnode<MenuPanelAttrs, this>): m.Children;
}
