import m, { VnodeDOM } from "mithril";
import { Widget, ViewResult } from './Widget';
import { WidgetAttrs } from './Widget';
import { Vnode } from './Widget';
export interface EditTextareaAttrs extends WidgetAttrs {
    update: (r: string) => void;
    popup?: m.Children;
    placeholder?: string;
}
export declare class EditTextarea extends Widget {
    editable: boolean;
    hasFocus: boolean;
    update: (newValue: string) => void;
    blur: (e: Event) => void;
    toggleEditable: () => void;
    adjustTextAreaHeight: (dom: any) => void;
    oninit(node: Vnode<EditTextareaAttrs, this>): void;
    onupdate(node: VnodeDOM<EditTextareaAttrs, this>): void;
    view(node: Vnode<EditTextareaAttrs, this>): ViewResult;
}
